<?php

namespace App\Dto\Input;

use App\Dto\Output\ClientOutput;
use App\Dto\Output\PartitionOutput;
use Symfony\Component\Serializer\Annotation\Groups;

final class BootClientsInput
{
    /**
     * @var ClientOutput[]
     */
    #[Groups(['client:write'])]
    public array $clients = [];


    #[Groups(['client:write'])]
    public ?PartitionOutput $partition = null;
}

