<?php

namespace App\Dto\Input;

use App\Dto\Output\TraceOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class CancelMultipleTracesInput
{
    /**
     * @var TraceOutput[]
     */
    #[Assert\NotNull]
    #[Groups(['trace:write'])]
    public array $traces = [];
}
