<?php

namespace App\Dto\Input;

use App\Dto\Output\CommandOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class CommandGroupAddCommandsInput
{
    /**
     * @var CommandOutput[]
     */
    #[Assert\NotNull]
    #[Groups(['command-group:write'])]
    public array $commands = [];
}