<?php

namespace App\Dto\Input;

use App\Dto\Output\ClientOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class CommandGroupExecuteInput
{
    /**
     * @var ClientOutput[]
     */
    #[Assert\NotNull]
    #[Groups(['command-group:write'])]
    public array $clients = [];
}