<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use App\Dto\Output\ClientOutput;
use Symfony\Component\Serializer\Annotation\Groups;

class WoLInput
{
    /**
     * @var ClientOutput[]|null
     */
    #[Groups(['repository:write'])]
    #[ApiProperty(description: 'The client to wol')]
    public ?array $clients = null;
}