<?php

namespace App\DataFixtures;

use App\Factory\UserFactory;
use App\Model\UserGroupPermissions;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;

class AppFixtures extends Fixture
{
    CONST string ADMIN_USER = 'ogadmin';

    /**
     * @throws \Exception
     */
    public function load(ObjectManager $manager): void
    {
        UserFactory::createOne(['username' => self::ADMIN_USER, 'roles'=> [UserGroupPermissions::ROLE_SUPER_ADMIN]]);

    }
}
