<?php

namespace App\Dto\Input;

use App\Dto\Output\ImageOutput;
use App\Dto\Output\ImageRepositoryOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

class ImportImageRepositoryInput
{
    #[Assert\NotNull]
    #[Groups(['repository:write'])]
    public ?string $name = '';
}