<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class KillJobInput
{
    #[Assert\NotNull()]
    #[Groups(['trace:write'])]
    #[ApiProperty(description: 'The job id to kill', example: "1234567890")]
    public string $jobId;
}