<?php

namespace App\Dto\Input;

use App\Dto\Output\ClientOutput;
use Symfony\Component\Serializer\Annotation\Groups;

final class MultipleClientsInput
{
    /**
     * @var ClientOutput[]
     */
    #[Groups(['client:write'])]
    public array $clients = [];

    #[Groups(['client:write'])]
    public bool $queue = false;
}

