<?php

namespace App\Dto\Input;

use App\Dto\Output\ClientOutput;
use Symfony\Component\Serializer\Annotation\Groups;

final class PartitionPostInput
{
    /**
     * @var PartitionInput[]
     */
    #[Groups(['partition:write'])]
    public array $partitions = [];

    /**
     * @var ClientOutput[]
     */
    #[Groups(['partition:write'])]
    public array $clients = [];

    #[Groups(['partition:write'])]
    public bool $queue = false;
}

