<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use App\Dto\Output\ClientOutput;
use App\Dto\Output\PxeTemplateOutput;
use App\Dto\Output\SubnetOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class PxeTemplateAddClientsInput
{
    /**
     * @var ClientOutput[]
     */
    #[Assert\NotNull]
    #[Groups(['pxe-template:write'])]
    public array $clients = [];
}