<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use App\Dto\Output\ClientOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class PxeTemplateSyncClientInput
{
    #[Assert\NotNull]
    #[Groups(['pxe-template:write'])]
    public ?ClientOutput $client = null;
}