<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use App\Dto\Output\ClientOutput;
use App\Dto\Output\PxeTemplateOutput;
use App\Dto\Output\SubnetOutput;
use App\Entity\PxeBootFile;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class SubnetAddHostInput
{
    /**
     * @var ClientOutput[]
     */
    #[Assert\NotNull]
    #[Groups(['subnet:write'])]
    public ?array $clients = [];
}