<?php

namespace App\Validator\Constraints;

use App\Model\UserGroupPermissions;
use Symfony\Component\Validator\Constraint;

#[\Attribute]
class OrganizationalUnitMulticastPort extends Constraint
{
    public string $message;

    public function __construct(mixed $options = null, ?array $groups = null, mixed $payload = null)
    {
        parent::__construct($options, $groups, $payload);

        $this->message = 'The multicast port is not valid. Please use a number between 9000 and 9050';
    }
}